VIDCAT(1)

NAME
vidcat - capture a frame from a video4linux device

SYNOPSIS
vidcat [-h?blgV] [-d <device>] [-f jpeg|ppm|png] [-i tv|comp1|com1|s-video] [-n pal|ntsc|secam] [-q <1..100>] [-s WIDTHxHEIGHT] [-o <file>]

DESCRIPTION
vidcat captures a frame from a video4linux device and writes the result to the standard output device. With the following options you can define output format, size etc..

OPTIONS

-d device
    Use an alternate v4l device, '/dev/video' is the default device.

-b  This applies only to PPM output. With this option the PPM ouput is written in binary mode.

-f ppm|jpeg|png|yuv4mpeg
    Define the file format to use for the output stream. The default is "jpeg".

-g  Use greyscale instead of RGB24 for the output data.

-i tv|comp1|comp2|s-video
    Set the input channel to use. The default value is none, which means the preset of the device is used.

-l  Loops until CTRL+C is pressed. This is the default for the YUV4MPEG output.

-n pal|ntsc|secam
    Select the input norm for the grabbing device. The default value is none.

-o file
    Use the named file for output instead of standard out.

-p c|g|y|Y
    Set the palette to use: c = RGB24, g=GREY, y=YUV420P, Y=YUV422P.

-q 1..100
    Set the quality for JPEG output. The value could be a number between 1 and 100. The default value is 80.

-s WIDTHxHEIGHT
    Define the size of the output frame in pixels. The default setting is 320x240.

-V  Show version number and exit.

AUTHOR
Rasca
http://home.pages.de/~rasca/
VIDCAT is published under the GNU General Public License